VERSION 5.00
Begin VB.Form MainForm 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Daphne Loader 1.0"
   ClientHeight    =   3600
   ClientLeft      =   45
   ClientTop       =   630
   ClientWidth     =   6165
   Icon            =   "MainForm.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3600
   ScaleWidth      =   6165
   Begin VB.ListBox GameList 
      Height          =   2205
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   3135
   End
   Begin VB.CommandButton ExitButton 
      Cancel          =   -1  'True
      Caption         =   "E&xit"
      Height          =   615
      Left            =   4320
      TabIndex        =   4
      ToolTipText     =   "Exit"
      Top             =   2640
      Width           =   1215
   End
   Begin VB.CommandButton ConfigButton 
      Caption         =   "&Configure"
      Height          =   615
      Left            =   2520
      TabIndex        =   3
      ToolTipText     =   "Configure options for this game"
      Top             =   2640
      Width           =   1215
   End
   Begin VB.CommandButton StartButton 
      Caption         =   "&Start!"
      Height          =   615
      Left            =   720
      TabIndex        =   2
      ToolTipText     =   "Launch Daphne with selected settings"
      Top             =   2640
      Width           =   1215
   End
   Begin VB.PictureBox GamePicBox 
      Height          =   1860
      Left            =   3360
      ScaleHeight     =   120
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   160
      TabIndex        =   0
      TabStop         =   0   'False
      Top             =   120
      Width           =   2460
   End
   Begin VB.Line Line1 
      BorderColor     =   &H8000000C&
      X1              =   0
      X2              =   6120
      Y1              =   0
      Y2              =   0
   End
   Begin VB.Label DaphURLlabel 
      Caption         =   "http://www.daphne-emu.com"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   -1  'True
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   375
      Left            =   3360
      MouseIcon       =   "MainForm.frx":08CA
      MousePointer    =   99  'Custom
      TabIndex        =   5
      ToolTipText     =   "Visit the Daphne home page"
      Top             =   2160
      Width           =   2655
   End
   Begin VB.Menu FileMenu 
      Caption         =   "&File"
      Begin VB.Menu ViewLogMenuItem 
         Caption         =   "&View Daphne Error Log"
         Shortcut        =   ^L
      End
      Begin VB.Menu FileMenuSeparatorItem 
         Caption         =   "-"
      End
      Begin VB.Menu ExitMenuItem 
         Caption         =   "E&xit"
         Shortcut        =   ^X
      End
   End
   Begin VB.Menu HelpMenu 
      Caption         =   "&Help"
      Begin VB.Menu DaphneWebMenuItem 
         Caption         =   "Daphne &Web Site"
      End
      Begin VB.Menu DaphneDocsMenuItem 
         Caption         =   "Daphne &Documentation"
      End
      Begin VB.Menu HelpSeparatorMenuItem 
         Caption         =   "-"
      End
      Begin VB.Menu AboutMenuItem 
         Caption         =   "&About Daphne Loader"
      End
   End
End
Attribute VB_Name = "MainForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False


Private Sub AboutMenuItem_Click()
    MainForm.Enabled = False
    AboutForm.Show
End Sub

Private Sub ConfigButton_Click()

    ConfigureGame
    
End Sub

Private Sub DaphneDocsMenuItem_Click()
    Main.LaunchDocs
End Sub

Private Sub DaphneWebMenuItem_Click()
    Main.LaunchDaphneURL
End Sub

Private Sub DaphURLlabel_Click()
    Main.LaunchDaphneURL
End Sub


Private Sub ExitButton_Click()
  Main.ExitApp
End Sub

Private Sub ExitMenuItem_Click()
   Main.ExitApp
End Sub

Private Sub Form_Load()
  'center the form
    Me.Move (Screen.Width - Me.Width) / 2, (Screen.Height - Me.Height) / 2
    Main.init


Show 'activate the form so we can set the focus to the list box
GameList.SetFocus

End Sub

Private Sub GameList_Click()

SetCurrentGame (GameList.List(GameList.ListIndex))

End Sub

Private Sub GameList_KeyPress(KeyAscii As Integer)
 
 If KeyAscii = Asc(vbCr) Then StartGame

End Sub

Private Sub StartButton_Click()
    StartGame
End Sub

Private Sub ViewLogMenuItem_Click()
    Main.ViewErrorLog
End Sub
