/*
 * rgb2yuv.h
 *
 * Copyright (C) 2001 Matt Ownby
 *
 * This file is part of DAPHNE, a laserdisc arcade game emulator
 *
 * DAPHNE is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * DAPHNE is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


struct yuvcolors
{
	double y;
	double u;
	double v;
};

// a yuv structure using bytes instead of doubles
struct yuvcolors8
{
	unsigned char y;
	unsigned char u;
	unsigned char v;
};

yuvcolors rgb2yuv(unsigned char, unsigned char, unsigned char);
yuvcolors intelrgb2yuv(unsigned char, unsigned char, unsigned char);
yuvcolors intel2rgb2yuv(unsigned char, unsigned char, unsigned char);
yuvcolors8 rgb2yuv8(unsigned char, unsigned char, unsigned char);

